package static

import "errors"

const (
	ANIMS_DANCE  = "Dance"
	ANIMS_SPEECH = "Speech"
	ANIMS_POSE   = "Pose"
)

var AnimsTyps = map[string]int{
	"Dance":  6,
	"Speech": 7,
}

func GetType(code string) (int, error) {
	msg, ok := AnimsTyps[code]
	if ok {
		return msg, nil
	}

	return 0, errors.New("Unkonw")
}
